Debian GNU/Linux

Ubuntu server install should 'apt-get clean'

Reported by to be removed on 2009-04-20
0
Affects Status Importance Assigned to Milestone
pkgsel (Debian)
Fix Released
Unknown
pkgsel (Ubuntu)
Wishlist
Colin Watson

Bug Description

Binary package hint: debian-installer

I've just done a test install of jaunty server amd64, just the basic default install. Everything went well, but the system was using 720 megabytes of disk. After I ran 'apt-get clean', it only used 664 megabytes. I think it would be useful if the installer did that, at least if installing from CD-ROM (in which case we _know_ the .debs are easily available).

Changed in debian-installer (Ubuntu):
importance: Undecided → Wishlist
Colin Watson (cjwatson) on 2009-04-21
affects: debian-installer (Ubuntu) → pkgsel (Ubuntu)
Changed in pkgsel (Ubuntu):
status: New → Triaged
Changed in pkgsel (Debian):
status: Unknown → New
Colin Watson (cjwatson) wrote :

Committed for karmic.

Changed in pkgsel (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (5.2 KiB)

This bug was fixed in the package pkgsel - 0.24ubuntu1

---------------
pkgsel (0.24ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install language packs and language support packages. If this fails,
      install the language-selector update-notifier hook so that the user is
      prompted to install more complete language support after installation.
    - Mark any pending update notifications as seen after installation.
    - Move final sources.list into place before trying to install
      pkgsel/include items and language packs.
    - Remove special popularity-contest handling; Ubuntu just includes it in
      standard.
    - Divert update-initramfs and call it just once at the end (with
      bind-mounted /dev, /proc, and /sys, and a preceding update-dev).
    - Don't divert scrollkeeper-* any more; we use rarian-compat now and
      Sebastien says it's fast enough.
    - Ask whether the user wants to install updates automatically, using
      either unattended-upgrades or landscape-client. This question is only
      asked at a high enough priority to be displayed on server or netboot
      installations, but may be preseeded on other installations.
    - Allow preseeding pkgsel/install-recommends to install what the
      packages on pkgsel/include Recommend, defaulting to false.
    - Run updatedb at the end of pkgsel, unless pkgsel/updatedb is preseeded
      to false.
  * Run 'apt-get clean' after package installation (LP: #364249).

pkgsel (0.24) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Danish (da.po)
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hebrew (he.po) by Lior Kaplan
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovenian (sl.po) by Vanja Cvelbar
  * Albanian (sq.po) by Elian Myftiu
  * Serbian (sr.po) by Veselin Mijušković
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Ukrainian (uk.po) by Borys Yanovych
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

pkgsel (0.23) unstable; urgency=low

  * Check for codename instead of suite to avoid system upgrades for Etch.
    Thanks to Ferenc Wagner for spotting the error.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Hindi (hi.po) by Kumar Appaiah

pkgsel (0.22) unstable; urgency=low

  [ Frans Pop ]
  * Disable system upgrades for Etch installs as upgrade options used are
    incompatible with the Etch version of aptitude. Closes: #492593.
  * There is no need to run debconf-apt-progress --config as in-target already
    sets the correct environment.
  * Multiply progress steps by 10 in postinst script.
  * Advance progress bar when running pre-pkgsel.d scripts.
...

Read more...

Changed in pkgsel (Ubuntu):
status: Fix Committed → Fix Released
tags: added: iso-testing
Changed in pkgsel (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.